--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_008_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_008_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,13 +50,13 @@
 	while [[ $i -lt $COUNT ]]; do
 		snapexists $SNAPFS.$i
 		[[ $? -eq 0 ]] && \
-			log_must $ZFS destroy $SNAPFS.$i
+			log_must zfs destroy $SNAPFS.$i
 
 		(( i = i + 1 ))
 	done
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify that destroying snapshots returns space to the pool."
@@ -64,7 +64,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -73,10 +73,10 @@
 log_note "Populate the $TESTDIR directory"
 typeset -i i=1
 while [[ $i -lt $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR/file$i \
+	log_must file_write -o create -f $TESTDIR/file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
-	log_must $ZFS snapshot $SNAPFS.$i
+	log_must zfs snapshot $SNAPFS.$i
 	(( i = i + 1 ))
 done
 
@@ -83,7 +83,7 @@
 typeset -i i=1
 while [[ $i -lt $COUNT ]]; do
 	log_must rm -rf $TESTDIR/file$i > /dev/null 2>&1
-	log_must $ZFS destroy $SNAPFS.$i
+	log_must zfs destroy $SNAPFS.$i
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_009_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_009_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,7 +53,7 @@
 
 	for ds in $ctr/$TESTVOL1 $ctr/$TESTCLONE; do
 		datasetexists $ds && \
-			log_must $ZFS destroy -f $ds
+			log_must zfs destroy -f $ds
 	done
 
 	for snap in $ctr/$TESTFS1@$TESTSNAP1 \
@@ -61,7 +61,7 @@
 		$snapctrclone $snapctrfs
 	do
 		snapexists $snap && \
-			log_must $ZFS destroy -rf $snap
+			log_must zfs destroy -rf $snap
 	done
 
 }
@@ -82,15 +82,15 @@
 snapctrfs=$SNAPCTR
 
 #preparation for testing
-log_must $ZFS snapshot $ctrfs@$TESTSNAP1
-log_must $ZFS clone $ctrfs@$TESTSNAP1 $ctrclone
+log_must zfs snapshot $ctrfs@$TESTSNAP1
+log_must zfs clone $ctrfs@$TESTSNAP1 $ctrclone
 if is_global_zone; then
-	log_must $ZFS create -V $VOLSIZE $ctrvol
+	log_must zfs create -V $VOLSIZE $ctrvol
 else
-	log_must $ZFS create $ctrvol
+	log_must zfs create $ctrvol
 fi
 
-log_must $ZFS snapshot -r $snappool
+log_must zfs snapshot -r $snappool
 
 #verify the snapshot -r results
 for snap in $snappool $snapfs $snapvol $snapctr $snapctrvol \
@@ -102,7 +102,7 @@
 
 log_note "Verify that destroy -r can destroy the snapshot tree."
 
-log_must $ZFS destroy -r $snappool
+log_must zfs destroy -r $snappool
 for snap in $snappool $snapfs $snapvol $snapctr $snapctrvol \
 		$snapctrclone $snapctrfs
 do
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_010_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_010_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	typeset snap
 
 	datasetexists $ctrvol && \
-		log_must $ZFS destroy -f $ctrvol
+		log_must zfs destroy -f $ctrvol
 
 	for snap in $ctrfs@$TESTSNAP1 \
 		$snappool $snapvol $snapctr $snapctrvol \
@@ -57,7 +57,7 @@
 		$snapctrclone $snapctrfs
 	do
 		snapexists $snap && \
-			log_must $ZFS destroy -rf $snap
+			log_must zfs destroy -rf $snap
 	done
 
 }
@@ -77,17 +77,17 @@
 snapctrfs=$SNAPCTR
 
 #preparation for testing
-log_must $ZFS snapshot $ctrfs@$TESTSNAP1
+log_must zfs snapshot $ctrfs@$TESTSNAP1
 if is_global_zone; then
-	log_must $ZFS create -V $VOLSIZE $ctrvol
+	log_must zfs create -V $VOLSIZE $ctrvol
 else
-	log_must $ZFS create $ctrvol
+	log_must zfs create $ctrvol
 fi
 
-log_must $ZFS snapshot -r $snappool
+log_must zfs snapshot -r $snappool
 
 #select the $TESTCTR as destroy point, $TESTCTR is a child of $TESTPOOL
-log_must $ZFS destroy -r $snapctr
+log_must zfs destroy -r $snapctr
 for snap in $snapctr $snapctrvol $snapctrclone $snapctrfs; do
 	snapexists $snap && \
 		log_fail "The snapshot $snap is not destroyed correctly."
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_011_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_011_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,10 +52,10 @@
 function cleanup
 {
 	snapexists $SNAPPOOL && \
-		log_must $ZFS destroy -r $SNAPPOOL
+		log_must zfs destroy -r $SNAPPOOL
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify that rollback to a snapshot created by snapshot -r succeeds."
@@ -62,7 +62,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -69,17 +69,17 @@
 log_note "Populate the $TESTDIR directory (prior to snapshot)"
 typeset -i i=0
 while (( i < COUNT )); do
-	log_must $FILE_WRITE -o create -f $TESTDIR/before_file$i \
+	log_must file_write -o create -f $TESTDIR/before_file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
 	(( i = i + 1 ))
 done
 
-log_must $ZFS snapshot -r $SNAPPOOL
+log_must zfs snapshot -r $SNAPPOOL
 
-FILE_COUNT=`$LS -Al $SNAPDIR | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $SNAPDIR | grep -v "total" | wc -l`
 if (( FILE_COUNT != COUNT )); then
-        $LS -Al $SNAPDIR
+        ls -Al $SNAPDIR
         log_fail "AFTER: $SNAPFS contains $FILE_COUNT files(s)."
 fi
 
@@ -86,7 +86,7 @@
 log_note "Populate the $TESTDIR directory (post snapshot)"
 typeset -i i=0
 while (( i < COUNT )); do
-        log_must $FILE_WRITE -o create -f $TESTDIR/after_file$i \
+        log_must file_write -o create -f $TESTDIR/after_file$i \
            -b $BLOCKSZ -c $NUM_WRITES -d $i
 
         (( i = i + 1 ))
@@ -95,18 +95,18 @@
 #
 # Now rollback to latest snapshot
 #
-log_must $ZFS rollback $SNAPFS
+log_must zfs rollback $SNAPFS
 
-FILE_COUNT=`$LS -Al $TESTDIR/after* 2> /dev/null | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/after* 2> /dev/null | grep -v "total" | wc -l`
 if (( FILE_COUNT != 0 )); then
-        $LS -Al $TESTDIR
+        ls -Al $TESTDIR
         log_fail "$TESTDIR contains $FILE_COUNT after* files(s)."
 fi
 
-FILE_COUNT=`$LS -Al $TESTDIR/before* 2> /dev/null \
-    | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/before* 2> /dev/null \
+    | grep -v "total" | wc -l`
 if (( FILE_COUNT != $COUNT )); then
-	$LS -Al $TESTDIR
+	ls -Al $TESTDIR
 	log_fail "$TESTDIR contains $FILE_COUNT before* files(s)."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_012_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_012_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,16 +54,16 @@
 function cleanup
 {
 	if datasetexists $clone1; then
-		log_must $ZFS promote $ctrfs
-		log_must $ZFS destroy $clone1
+		log_must zfs promote $ctrfs
+		log_must zfs destroy $clone1
 	fi
 
 	snapexists $snapctr && \
-		log_must $ZFS destroy -r $snapctr
+		log_must zfs destroy -r $snapctr
 
 	if snapexists $clone@$TESTSNAP1; then
-		log_must $ZFS promote $ctrfs
-		log_must $ZFS destroy -rR $ctrfs@$TESTSNAP1
+		log_must zfs promote $ctrfs
+		log_must zfs destroy -rR $ctrfs@$TESTSNAP1
 	fi
 }
 
@@ -82,17 +82,17 @@
 snapctrfs=$SNAPCTR
 
 #preparation for testing
-log_must $ZFS snapshot $ctrfs@$TESTSNAP1
-log_must $ZFS clone $ctrfs@$TESTSNAP1 $clone
-log_must $ZFS promote $clone
+log_must zfs snapshot $ctrfs@$TESTSNAP1
+log_must zfs clone $ctrfs@$TESTSNAP1 $clone
+log_must zfs promote $clone
 
-log_must $ZFS snapshot -r $snapctr
+log_must zfs snapshot -r $snapctr
 
 ! snapexists $snapctrclone && \
 	log_fail "'snapshot -r' fails to create $snapctrclone for $ctr/$TESTCLONE."
 
-log_must $ZFS clone $snapctrfs $clone1
-log_must $ZFS promote $clone1
+log_must zfs clone $snapctrfs $clone1
+log_must zfs promote $clone1
 
 #verify the origin value is correct.
 orig_value=$(get_prop origin $ctrfs)
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_013_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_013_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,13 +49,13 @@
 function cleanup
 {
 	datasetexists $ctrfs && \
-		$ZFS destroy -r $ctrfs
+		zfs destroy -r $ctrfs
 
 	snapexists $snappool && \
-		log_must $ZFS destroy -r $snappool
+		log_must zfs destroy -r $snappool
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify snapshots from 'snapshot -r' can be used for zfs send/recv"
@@ -71,7 +71,7 @@
 snapdir=$fsdir/.zfs/snapshot/$TESTSNAP
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -78,21 +78,21 @@
 log_note "Populate the $TESTDIR directory (prior to snapshot)"
 typeset -i i=0
 while (( i < COUNT )); do
-	log_must $FILE_WRITE -o create -f $TESTDIR/file$i \
+	log_must file_write -o create -f $TESTDIR/file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
 	(( i = i + 1 ))
 done
 
-log_must $ZFS snapshot -r $snappool
+log_must zfs snapshot -r $snappool
 
-$ZFS send $snapfs | $ZFS receive $ctrfs >/dev/null 2>&1
+zfs send $snapfs | zfs receive $ctrfs >/dev/null 2>&1
 if ! datasetexists $ctrfs || ! snapexists $snapctrfs; then
 	log_fail "zfs send/receive fails with snapshot $snapfs."
 fi
 
 for dir in $fsdir $snapdir; do
-	FILE_COUNT=`$LS -Al $dir | $GREP -v "total" | wc -l`
+	FILE_COUNT=`ls -Al $dir | grep -v "total" | wc -l`
 	(( FILE_COUNT != COUNT )) && log_fail "Got $FILE_COUNT expected $COUNT"
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_014_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_014_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,13 +49,13 @@
 function cleanup
 {
 	[[ -e $TESTDIR1 ]] && \
-		log_must $RM -rf $TESTDIR1/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR1/* > /dev/null 2>&1
 
 	snapexists $SNAPCTR && \
-		log_must $ZFS destroy $SNAPCTR
+		log_must zfs destroy $SNAPCTR
 
 	datasetexists $TESTPOOL/$TESTCTR/$TESTFS1 && \
-		log_must $ZFS set quota=none $TESTPOOL/$TESTCTR/$TESTFS1
+		log_must zfs set quota=none $TESTPOOL/$TESTCTR/$TESTFS1
 
 }
 
@@ -62,17 +62,17 @@
 log_assert "Verify creating/destroying snapshots do things clean"
 log_onexit cleanup
 
-log_must $ZFS set quota=$FSQUOTA $TESTPOOL/$TESTCTR/$TESTFS1
-log_must $MKFILE $FILESIZE $TESTDIR1/$TESTFILE
+log_must zfs set quota=$FSQUOTA $TESTPOOL/$TESTCTR/$TESTFS1
+log_must mkfile $FILESIZE $TESTDIR1/$TESTFILE
 
-log_must $ZFS snapshot $SNAPCTR
-log_must $ZFS destroy $SNAPCTR
+log_must zfs snapshot $SNAPCTR
+log_must zfs destroy $SNAPCTR
 
 log_note "Make the quota of filesystem is reached"
-log_mustnot $MKFILE $FILESIZE1 $TESTDIR1/$TESTFILE1
+log_mustnot mkfile $FILESIZE1 $TESTDIR1/$TESTFILE1
 
 log_note "Verify removing the first file should succeed after the snapshot is \
 	removed"
-log_must $RM $TESTDIR1/$TESTFILE
+log_must rm $TESTDIR1/$TESTFILE
 
 log_pass "Verify creating/destroying snapshots do things clean"
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_015_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_015_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -27,7 +27,7 @@
 
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,13 +54,13 @@
 	typeset -i i=0
 	while ((i < snap_cnt)); do
 		typeset snap=$fs@snap.$i
-		datasetexists $snap && log_must $ZFS destroy -f $snap
+		datasetexists $snap && log_must zfs destroy -f $snap
 
 		((i += 1))
 	done
 }
 
-$ZFS 2>&1 | $GREP "allow" > /dev/null
+zfs 2>&1 | grep "allow" > /dev/null
 (($? != 0)) && log_unsupported
 
 log_assert "Verify snapshot can be created via mkdir in .zfs/snapshot."
@@ -73,10 +73,10 @@
 set -A ro_dirs "$snapdir" "$snapdir/snap" "$snapdir/snapshot"
 for dir in ${ro_dirs[@]}; do
 	if [[ -d $dir ]]; then
-		log_mustnot $RM -rf $dir
-		log_mustnot $TOUCH $dir/testfile
+		log_mustnot rm -rf $dir
+		log_mustnot touch $dir/testfile
 	else
-		log_mustnot $MKDIR $dir
+		log_mustnot mkdir $dir
 	fi
 done
 
@@ -85,8 +85,8 @@
 typeset -i cnt=0
 while ((cnt < snap_cnt)); do
 	testfile=$mntpnt/testfile.$cnt
-	log_must $MKFILE 1M $testfile
-	log_must $MKDIR $snapdir/snapshot/snap.$cnt
+	log_must mkfile 1M $testfile
+	log_must mkdir $snapdir/snapshot/snap.$cnt
 	if ! datasetexists $fs@snap.$cnt ; then
 		log_fail "ERROR: $fs@snap.$cnt should exists."
 	fi
@@ -96,7 +96,7 @@
 
 # Verify rollback to previous snapshot succeed.
 ((cnt = RANDOM % snap_cnt))
-log_must $ZFS rollback -r $fs@snap.$cnt
+log_must zfs rollback -r $fs@snap.$cnt
 
 typeset -i i=0
 while ((i < snap_cnt)); do
@@ -115,7 +115,7 @@
 done
 
 # Verify remove directory in snapdir can destroy snapshot.
-log_must $RMDIR $snapdir/snapshot/snap.$cnt
+log_must rmdir $snapdir/snapshot/snap.$cnt
 log_mustnot datasetexists $fs@snap.$cnt
 
 log_pass "Verify snapshot can be created via mkdir in .zfs/snapshot passed."
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_016_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_016_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -27,7 +27,7 @@
 
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,19 +48,19 @@
 function cleanup
 {
 	datasetexists $SNAPFS && \
-		log_must $ZFS destroy -Rf $SNAPFS
+		log_must zfs destroy -Rf $SNAPFS
 	datasetexists $TESTPOOL/$TESTFS@snap_a && \
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS@snap_a
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS@snap_a
 	datasetexists $TESTPOOL/$TESTCLONE@snap_a && \
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTCLONE@snap_a
+		log_must zfs destroy -Rf $TESTPOOL/$TESTCLONE@snap_a
 
 	datasetexists $TESTPOOL/$TESTCLONE && \
-		log_must $ZFS destroy $TESTPOOL/$TESTCLONE
+		log_must zfs destroy $TESTPOOL/$TESTCLONE
 	datasetexists $TESTPOOL/$TESTFS && \
-		log_must $ZFS destroy $TESTPOOL/$TESTFS
+		log_must zfs destroy $TESTPOOL/$TESTFS
 
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify renamed snapshots via mv can be destroyed."
@@ -68,34 +68,34 @@
 
 # scenario 1
 
-log_must $ZFS snapshot $SNAPFS
-log_must $MV $TESTDIR/$SNAPROOT/$TESTSNAP $TESTDIR/$SNAPROOT/snap_a
+log_must zfs snapshot $SNAPFS
+log_must mv $TESTDIR/$SNAPROOT/$TESTSNAP $TESTDIR/$SNAPROOT/snap_a
 
 datasetexists $TESTPOOL/$TESTFS@snap_a || \
 	log_fail "rename snapshot via mv in .zfs/snapshot fails."
-log_must $ZFS destroy $TESTPOOL/$TESTFS@snap_a
+log_must zfs destroy $TESTPOOL/$TESTFS@snap_a
 
 # scenario 2
 
-log_must $ZFS snapshot $SNAPFS
-log_must $ZFS clone $SNAPFS $TESTPOOL/$TESTCLONE
-log_must $MV $TESTDIR/$SNAPROOT/$TESTSNAP $TESTDIR/$SNAPROOT/snap_a
+log_must zfs snapshot $SNAPFS
+log_must zfs clone $SNAPFS $TESTPOOL/$TESTCLONE
+log_must mv $TESTDIR/$SNAPROOT/$TESTSNAP $TESTDIR/$SNAPROOT/snap_a
 
 datasetexists $TESTPOOL/$TESTFS@snap_a || \
         log_fail "rename snapshot via mv in .zfs/snapshot fails."
-log_must $ZFS promote $TESTPOOL/$TESTCLONE
+log_must zfs promote $TESTPOOL/$TESTCLONE
 # promote back to $TESTPOOL/$TESTFS for scenario 3
-log_must $ZFS promote $TESTPOOL/$TESTFS
-log_must $ZFS destroy $TESTPOOL/$TESTCLONE
-log_must $ZFS destroy $TESTPOOL/$TESTFS@snap_a
+log_must zfs promote $TESTPOOL/$TESTFS
+log_must zfs destroy $TESTPOOL/$TESTCLONE
+log_must zfs destroy $TESTPOOL/$TESTFS@snap_a
 
 # scenario 3
 
-log_must $ZFS snapshot $SNAPFS
-log_must $ZFS clone $SNAPFS $TESTPOOL/$TESTCLONE
-log_must $ZFS rename $SNAPFS $TESTPOOL/$TESTFS@snap_a
-log_must $ZFS promote $TESTPOOL/$TESTCLONE
-log_must $ZFS destroy $TESTPOOL/$TESTFS
-log_must $ZFS destroy $TESTPOOL/$TESTCLONE@snap_a
+log_must zfs snapshot $SNAPFS
+log_must zfs clone $SNAPFS $TESTPOOL/$TESTCLONE
+log_must zfs rename $SNAPFS $TESTPOOL/$TESTFS@snap_a
+log_must zfs promote $TESTPOOL/$TESTCLONE
+log_must zfs destroy $TESTPOOL/$TESTFS
+log_must zfs destroy $TESTPOOL/$TESTCLONE@snap_a
 
 log_pass "Verify renamed snapshots via mv can be destroyed."
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_017_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_017_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -27,7 +27,7 @@
 
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,11 +57,11 @@
 	cd $SAVED_DIR
 
 	if datasetexists $TESTPOOL/$TESTFS ; then
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS
 	fi
 
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 function verify_structure {
@@ -145,16 +145,16 @@
 # ./dir1/dir2/file6
 
 cd $TESTDIR
-$MKFILE 10m file1
-$MKFILE 20m file2
-$MKDIR dir1
+mkfile 10m file1
+mkfile 20m file2
+mkdir dir1
 cd dir1
-$MKFILE 10m file3
-$MKFILE 20m file4
-$MKDIR dir2
+mkfile 10m file3
+mkfile 20m file4
+mkdir dir2
 cd dir2
-$MKFILE 10m file5
-$MKFILE 20m file6
+mkfile 10m file5
+mkfile 20m file6
 
 # Now walk the directory structure verifying it
 cd $TESTDIR
@@ -161,17 +161,17 @@
 verify_structure
 
 # Take snapshots
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap_a
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap_b
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap_a
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap_b
 
 # Change the filesystem structure by renaming files in the original structure
 # The snapshot file structure should not change
 cd $TESTDIR
-log_must $MV file2 file99
+log_must mv file2 file99
 cd dir1
-log_must $MV file4 file99
+log_must mv file4 file99
 cd dir2
-log_must $MV file6 file99
+log_must mv file6 file99
 
 # verify the top level snapshot directories
 verify_dir $TESTDIR/.zfs
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused.kshlib	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused.kshlib	Wed Aug 31 16:21:35 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,7 +55,7 @@
 function check_used # dataset
 {
 	typeset dataset=$1
-	for child in $($ZFS list -rH -t filesystem,volume -o name $dataset)
+	for child in $(zfs list -rH -t filesystem,volume -o name $dataset)
 	do
 		_check_used $child
 	done
@@ -66,7 +66,7 @@
 	typeset dataset=$1
 	typeset -i usedbychildren_sum=0
 	typeset -i parent_usedbychildren=0
-	for child in $($ZFS list -rH -t filesystem,volume -o name $dataset)
+	for child in $(zfs list -rH -t filesystem,volume -o name $dataset)
 	do
 		if [[ "$(get_prop type $child)" == "snapshot" ]]; then
 			continue
@@ -120,7 +120,7 @@
 function check_usedbydataset # dataset
 {
 	typeset dataset=$1
-	for child in $($ZFS list -rH -t filesystem,volume -o name $dataset)
+	for child in $(zfs list -rH -t filesystem,volume -o name $dataset)
 	do
 		_check_usedbydataset $child
 	done
@@ -146,7 +146,7 @@
 function check_usedbyrefreservation # dataset
 {
 	typeset dataset=$1
-	for child in $($ZFS list -rH -t filesystem,volume -o name $dataset)
+	for child in $(zfs list -rH -t filesystem,volume -o name $dataset)
 	do
 		_check_usedbyrefreservation $child
 	done
@@ -157,7 +157,7 @@
 	typeset dataset=$1
 	typeset -i usedbysnapshots_sum=0
 	typeset -i parent_usedbysnapshots=0
-	for child in $($ZFS list -rH -t filesystem,volume,snapshot -o name $dataset)
+	for child in $(zfs list -rH -t filesystem,volume,snapshot -o name $dataset)
 	do
 		# parent
 		if [[ "$child" == "$dataset" ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused_001_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused_001_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,13 +51,13 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $USEDTEST
+	log_must zfs destroy -rR $USEDTEST
 }
 
 log_assert "Verify used is correct."
 log_onexit cleanup
 
-log_must $ZFS create $USEDTEST
+log_must zfs create $USEDTEST
 check_used $USEDTEST
 
 typeset -i i=0
@@ -67,21 +67,21 @@
 	((r_size=(i+1)*16))
 
 	#usedbyrefreservation
-	log_must $ZFS set refreservation="$r_size"M $USEDTEST
+	log_must zfs set refreservation="$r_size"M $USEDTEST
 
 	#usedbydataset
-	log_must $MKFILE 16M $mntpnt/file$i
+	log_must mkfile 16M $mntpnt/file$i
 
 	#usedbychildren
-	log_must $ZFS create $USEDTEST/fs$i
-	log_must $MKFILE 16M $mntpnt/fs$i/file$i
+	log_must zfs create $USEDTEST/fs$i
+	log_must mkfile 16M $mntpnt/fs$i/file$i
 
 	if is_global_zone; then
-		log_must $ZFS create -V 16M $USEDTEST/vol$i
+		log_must zfs create -V 16M $USEDTEST/vol$i
 	fi
 
 	#usedbysnapshots
-	log_must $ZFS snapshot -r $USEDTEST@snap$i
+	log_must zfs snapshot -r $USEDTEST@snap$i
 
 	check_used $USEDTEST
 
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused_002_pos.ksh	Wed Aug 31 16:21:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused_002_pos.ksh	Wed Aug 31 16:21:35 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,13 +49,13 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $USEDTEST
+	log_must zfs destroy -rR $USEDTEST
 }
 
 log_assert "Verify usedbychildren is correct."
 log_onexit cleanup
 
-log_must $ZFS create $USEDTEST
+log_must zfs create $USEDTEST
 check_usedbychildren $USEDTEST
 
 typeset -i i=0
@@ -64,15 +64,15 @@
 while ((i < 5)); do
 	((r_size=(i+1)*16))
 
-	log_must $ZFS create $USEDTEST/fs$i
-	log_must $ZFS set reservation="$r_size"M $USEDTEST/fs$i
-	log_must $MKFILE 48M $mntpnt/fs$i/file$i
+	log_must zfs create $USEDTEST/fs$i
+	log_must zfs set reservation="$r_size"M $USEDTEST/fs$i
+	log_must mkfile 48M $mntpnt/fs$i/file$i
 
 	if is_global_zone; then
-		log_must $ZFS create -V 32M $USEDTEST/vol$i
+		log_must zfs create -V 32M $USEDTEST/vol$i
 	fi
 
-	log_must $ZFS snapshot -r $USEDTEST@snap$i
+	log_must zfs snapshot -r $USEDTEST@snap$i
 
 	check_usedbychildren $USEDTEST
 
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused_003_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused_003_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,13 +48,13 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $USEDTEST
+	log_must zfs destroy -rR $USEDTEST
 }
 
 log_assert "Verify usedbydataset is correct."
 log_onexit cleanup
 
-log_must $ZFS create $USEDTEST
+log_must zfs create $USEDTEST
 check_usedbydataset $USEDTEST
 
 typeset -i i=0
@@ -63,16 +63,16 @@
 while ((i < 5)); do
 	((r_size=(i+1)*16))
 
-	log_must $MKFILE 16M $mntpnt/file$i
-	log_must $MKFILE "$r_size"M $mntpnt/file_var$i
-	log_must $ZFS snapshot -r $USEDTEST@snap$i
+	log_must mkfile 16M $mntpnt/file$i
+	log_must mkfile "$r_size"M $mntpnt/file_var$i
+	log_must zfs snapshot -r $USEDTEST@snap$i
 
-	log_must $ZFS clone $USEDTEST@snap$i $USEDTEST/cln$i
-	log_must $ZFS set is:cloned=yes $USEDTEST/cln$i
+	log_must zfs clone $USEDTEST@snap$i $USEDTEST/cln$i
+	log_must zfs set is:cloned=yes $USEDTEST/cln$i
 
 	mntpnt_cln=$(get_prop mountpoint $USEDTEST/cln$i)
-	log_must $MKFILE 16M $mntpnt_cln/file_cln$i
-	log_must $MKFILE "$r_size"M $mntpnt_cln/file_cln_var$i
+	log_must mkfile 16M $mntpnt_cln/file_cln$i
+	log_must mkfile "$r_size"M $mntpnt_cln/file_cln_var$i
 
 	check_usedbydataset $USEDTEST
 
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused_004_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused_004_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,13 +53,13 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $USEDTEST
+	log_must zfs destroy -rR $USEDTEST
 }
 
 log_assert "Verify usedbyrefreservation is correct."
 log_onexit cleanup
 
-log_must $ZFS create $USEDTEST
+log_must zfs create $USEDTEST
 check_usedbyrefreservation $USEDTEST
 
 typeset -i i=0
@@ -67,25 +67,25 @@
 mntpnt=$(get_prop mountpoint $USEDTEST)
 while ((i < 5)); do
 	((r_size=(i+1)*16))
-	log_must $ZFS set refreservation="$r_size"M $USEDTEST
+	log_must zfs set refreservation="$r_size"M $USEDTEST
 
-	log_must $MKFILE 16M $mntpnt/file$i
+	log_must mkfile 16M $mntpnt/file$i
 
-	log_must $ZFS create $USEDTEST/fs$i
-	log_must $ZFS set refreservation="$r_size"M $USEDTEST/fs$i
-	log_must $MKFILE 16M $mntpnt/fs$i/file$i
+	log_must zfs create $USEDTEST/fs$i
+	log_must zfs set refreservation="$r_size"M $USEDTEST/fs$i
+	log_must mkfile 16M $mntpnt/fs$i/file$i
 
 	if is_global_zone; then
-		log_must $ZFS create -V 16M $USEDTEST/vol$i
+		log_must zfs create -V 16M $USEDTEST/vol$i
 	fi
 
-	log_must $ZFS snapshot -r $USEDTEST@snap$i
+	log_must zfs snapshot -r $USEDTEST@snap$i
 
-	log_must $ZFS clone $USEDTEST@snap$i $USEDTEST/cln$i
+	log_must zfs clone $USEDTEST@snap$i $USEDTEST/cln$i
 
 	mntpnt_cln=$(get_prop mountpoint $USEDTEST/cln$i)
-	log_must $ZFS set refreservation="$r_size"M $USEDTEST/cln$i
-	log_must $MKFILE 16M $mntpnt_cln/file_cln$i
+	log_must zfs set refreservation="$r_size"M $USEDTEST/cln$i
+	log_must mkfile 16M $mntpnt_cln/file_cln$i
 
 	check_usedbyrefreservation $USEDTEST
 
--- old/usr/src/test/zfs-tests/tests/functional/snapused/snapused_005_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapused/snapused_005_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,13 +47,13 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $USEDTEST
+	log_must zfs destroy -rR $USEDTEST
 }
 
 log_assert "Verify usedbysnapshots is correct."
 log_onexit cleanup
 
-log_must $ZFS create $USEDTEST
+log_must zfs create $USEDTEST
 check_usedbysnapshots $USEDTEST
 
 typeset -i i=0
@@ -62,9 +62,9 @@
 while ((i < 5)); do
 	((r_size=(i+1)*16))
 
-	log_must $MKFILE "$r_size"M $mntpnt/file$i
+	log_must mkfile "$r_size"M $mntpnt/file$i
 
-	log_must $ZFS snapshot $USEDTEST@snap$i
+	log_must zfs snapshot $USEDTEST@snap$i
 	check_usedbysnapshots $USEDTEST
 
         ((i = i + 1))
--- old/usr/src/test/zfs-tests/tests/functional/sparse/sparse_001_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/sparse/sparse_001_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Ensure random blocks are read back correctly"
@@ -71,8 +71,8 @@
 
 [[ -n "$options" ]] && options_display=$options
 
-log_note "Invoking $FILE_TRUNC with: $options_display"
-log_must $FILE_TRUNC $options $TESTDIR/$TESTFILE
+log_note "Invoking file_trunc with: $options_display"
+log_must file_trunc $options $TESTDIR/$TESTFILE
 
 typeset dir=$(get_device_dir $DISKS)
 verify_filesys "$TESTPOOL" "$TESTPOOL/$TESTFS" "$dir"
--- old/usr/src/test/zfs-tests/tests/functional/threadsappend/threadsappend_001_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/threadsappend/threadsappend_001_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -60,7 +60,7 @@
 # This test should be run on a multi-processor system because otherwise the FS
 # will not be concurrently used by the threads
 #
-NCPUS=`$PSRINFO | $WC -l`
+NCPUS=`psrinfo | wc -l`
 if [[ -z $NCPUS || $NCPUS -le 1 ]]; then
 	 log_fail "This test should be executed on a multi-processor system."
 fi
@@ -74,7 +74,7 @@
 #
 # Check the size of the resulting file
 #
-SIZE=`$LS -l ${TESTDIR}/${TESTFILE} | $AWK '{print $5}'`
+SIZE=`ls -l ${TESTDIR}/${TESTFILE} | awk '{print $5}'`
 if [[ $SIZE -ne $FILE_SIZE ]]; then
 	log_fail "'The length of ${TESTDIR}/${TESTFILE}' doesnt equal 1310720."
 fi
--- old/usr/src/test/zfs-tests/tests/functional/truncate/truncate_001_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/truncate/truncate_001_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/truncate/truncate.cfg
 . $STF_SUITE/include/libtest.shlib
 
@@ -44,7 +48,7 @@
 
 function cleanup
 {
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Ensure file with random blocks is truncated properly"
@@ -66,8 +70,8 @@
 
 [[ -n "$options" ]] && options_display=$options
 
-log_note "Invoking $FILE_TRUNC with: $options_display"
-log_must $FILE_TRUNC $options $TESTDIR/$TESTFILE
+log_note "Invoking file_trunc with: $options_display"
+log_must file_trunc $options $TESTDIR/$TESTFILE
 
 typeset dir=$(get_device_dir $DISKS)
 verify_filesys "$TESTPOOL" "$TESTPOOL/$TESTFS" "$dir"
